Description

Currently there does not seem to be a way to add watchers to an issue using the API. This includes during issue creation and

through an update.

Related issues:

Has duplicate Redmine - Feature #10637: add/remove issue watcher via REST API... Closed

Has duplicate Redmine - Feature #13029: add/remove watchers for Issues Closed

Associated revisions

Revision 11290 - 2013-01-30 21:51 - Jean-Philippe Lang

Add/remove issue watchers via the REST API (#6727).

History

#1 - 2010-11-01 16:02 - Eric Davis

This should be two APIs:

One to add watchers when creating an issues (just like the main issues form)

One to add/remove watchers individually (just like the sidebar actions)

#2 - 2011-02-20 06:56 - Aaron Devey

I need this fixed too.  We rely heavily on redmine's watchers to notify the appropriate team(s) of new issues, changes, etc.  Depending on the type of

issue, different watchers need to be notified.

#3 - 2011-06-24 20:09 - Stan Shore

I need this capability as well.

#4 - 2011-06-28 09:11 - Manuel Padrón Martínez

I need it too.

#5 - 2011-08-04 10:29 - Stéphane Schoorens

Any news about that capability ?

#6 - 2011-08-30 14:25 - Pavel Samokha

Need it too, also now we can't even know who watched issue - need something like ?include=watchers to be implemented

#7 - 2011-11-21 18:40 - Chris Hoffman

I need this also...

#8 - 2012-02-29 04:30 - RedminePro Yang

+1

#9 - 2012-03-30 08:46 - Christopher Proud

+1

#10 - 2012-04-18 11:07 - Mike Sam

2024-03-13 1/2



+1

#11 - 2012-05-17 18:51 - Cory Riddell

I hate saying "me too", but... me too.

#12 - 2012-09-17 17:43 - David Prothero

+1

#13 - 2012-09-25 17:21 - mina Beshay

+1

#14 - 2012-11-06 19:31 - Glauber Matos

+1

#15 - 2012-12-10 20:02 - Alexey Acidoff

It's really needed

#16 - 2013-01-20 18:12 - Francesco Fiorentino

+1 important feature

#17 - 2013-01-23 11:58 - Paul Wehle

+1 same here.

We got end users adding issues directly from our desktop application and would need to notify other team members :/

update: 100 EUR / 130 USD here for sponsoring this, I added a sponsoring issue to freedomsponsors but cannot link it here due to spam. Search with

the title of this ticket to find it :)

#18 - 2013-01-30 22:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

Feature added in r11290. You can now:

add watchers when creating an issue

get the list of watchers for a given issue (with ?include=watchers)

add a watcher to an existing issue

remove a watcher

This is documented in Rest_Issues.

#19 - 2013-01-30 22:19 - Jean-Philippe Lang

- Subject changed from Add watchers to issue via REST API to Add/remove issue watchers via REST API

#20 - 2013-02-10 21:08 - Tony Lampada

Jean-Philippe, this is Tony from FreedomSponsors.

This is just a reminder that you got USD 134 waiting for you for solving this issue.

That offer was made by Paul Wehle (see his comment above).

You need to mark the issue as resolved on the FreedomSponsors website before Paul is able to pay his offer.

The issue link is freedomsponsors.org/core/issue/136/add-watchers-to-issue-via-rest-api

Cheers :-)
